ApiModels

MiniMax H3

MiniMax H3(海螺 03)的模式、输入限制、默认值、提示词上限、积分价格和 API 示例。

概览

厂商: MiniMax。minimax-h3(海螺 03)可根据文本、单张图片、首尾帧、参考图或源视频生成 4–15 秒的视频,支持全部五种模式。

  • 提示词去除首尾空白后最多 7000 个字符,目录中以 max_prompt_length 给出。超出时返回 400,消息为 minimax-h3 prompt must be 7000 characters or fewer, got <length>。
  • 没有音频开关:audio: true 会被拒绝。

模式与输入

模式image_urlsvideo_urls画面比例默认值
text-to-video无无21:9, 16:9, 4:3, 1:1, 3:4, 9:164s, 768P, 16:9
image-to-video恰好 1 张(首帧)无跟随图片(省略)4s, 768P
frames-to-video恰好 2 张(首帧、尾帧)无跟随图片(省略)4s, 768P
reference-to-video1–4 张0–1 个21:9, 16:9, 4:3, 1:1, 3:4, 9:164s, 768P, 16:9
video-to-video0–2 张(参考图)恰好 1 个21:9, 16:9, 4:3, 1:1, 3:4, 9:164s, 768P, 16:9

所有模式都支持时长 4s、6s、8s、10s、12s、15s 和分辨率 768P、2K。

  • 发送 video_urls 时,还需发送 options.source_video_duration_seconds(源视频时长,单位秒)。它是必填项,但不影响价格。
  • video-to-video 以源视频为引导生成新片段,不是对源视频的逐帧编辑。
  • API 不接受参考音频。

积分价格

所有模式的费用 = 每秒费率 × duration。视频输入不改变费率。

分辨率每秒积分4s6s8s10s12s15s
768P3121824303645
2K4162432404860

示例

curl -X POST https://viewmax.studio/api/v1/videos \
  -H "Authorization: Bearer $VIEWMAX_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: h3-example-0001" \
  -d '{
    "model": "minimax-h3",
    "mode": "text-to-video",
    "prompt": "Slow aerial shot over terraced rice fields at sunrise, mist between the hills",
    "options": { "duration": "6s", "resolution": "2K", "aspect_ratio": "16:9" }
  }'

该请求消耗 24 积分。

使用源视频:

curl -X POST https://viewmax.studio/api/v1/videos \
  -H "Authorization: Bearer $VIEWMAX_API_KEY" \
  -H "Content-Type: application/json" \
  -H "Idempotency-Key: h3-example-0002" \
  -d '{
    "model": "minimax-h3",
    "mode": "video-to-video",
    "prompt": "Same camera move, but at night with neon signs",
    "video_urls": ["https://example.com/source.mp4"],
    "options": {
      "duration": "10s",
      "resolution": "768P",
      "source_video_duration_seconds": 8
    }
  }'

该请求消耗 30 积分。通过 MCP 时,调用 generate_video 并传入 model: "minimax-h3"。

说明

  • 分辨率不区分大小写;目录中写作 768P 和 2K。
  • 省略的选项使用上表默认值,并按默认值计费。

On this page